from enum import Enum


class InterfaceRfChannelLabel(str, Enum):
    VALUE_0 = "1 (2412 MHz)"
    VALUE_1 = "2 (2417 MHz)"
    VALUE_10 = "11 (2462 MHz)"
    VALUE_100 = "69 (6295/20 MHz)"
    VALUE_101 = "71 (6305/80 MHz)"
    VALUE_102 = "73 (6315/20 MHz)"
    VALUE_103 = "75 (6325/40 MHz)"
    VALUE_104 = "77 (6335/20 MHz)"
    VALUE_105 = "79 (6345/160 MHz)"
    VALUE_106 = "81 (6355/20 MHz)"
    VALUE_107 = "83 (6365/40 MHz)"
    VALUE_108 = "85 (6375/20 MHz)"
    VALUE_109 = "87 (6385/80 MHz)"
    VALUE_11 = "12 (2467 MHz)"
    VALUE_110 = "89 (6395/20 MHz)"
    VALUE_111 = "91 (6405/40 MHz)"
    VALUE_112 = "93 (6415/20 MHz)"
    VALUE_113 = "95 (6425/320 MHz)"
    VALUE_114 = "97 (6435/20 MHz)"
    VALUE_115 = "99 (6445/40 MHz)"
    VALUE_116 = "101 (6455/20 MHz)"
    VALUE_117 = "103 (6465/80 MHz)"
    VALUE_118 = "105 (6475/20 MHz)"
    VALUE_119 = "107 (6485/40 MHz)"
    VALUE_12 = "13 (2472 MHz)"
    VALUE_120 = "109 (6495/20 MHz)"
    VALUE_121 = "111 (6505/160 MHz)"
    VALUE_122 = "113 (6515/20 MHz)"
    VALUE_123 = "115 (6525/40 MHz)"
    VALUE_124 = "117 (6535/20 MHz)"
    VALUE_125 = "119 (6545/80 MHz)"
    VALUE_126 = "121 (6555/20 MHz)"
    VALUE_127 = "123 (6565/40 MHz)"
    VALUE_128 = "125 (6575/20 MHz)"
    VALUE_129 = "129 (6595/20 MHz)"
    VALUE_13 = "32 (5160/20 MHz)"
    VALUE_130 = "131 (6605/40 MHz)"
    VALUE_131 = "133 (6615/20 MHz)"
    VALUE_132 = "135 (6625/80 MHz)"
    VALUE_133 = "137 (6635/20 MHz)"
    VALUE_134 = "139 (6645/40 MHz)"
    VALUE_135 = "141 (6655/20 MHz)"
    VALUE_136 = "143 (6665/160 MHz)"
    VALUE_137 = "145 (6675/20 MHz)"
    VALUE_138 = "147 (6685/40 MHz)"
    VALUE_139 = "149 (6695/20 MHz)"
    VALUE_14 = "34 (5170/40 MHz)"
    VALUE_140 = "151 (6705/80 MHz)"
    VALUE_141 = "153 (6715/20 MHz)"
    VALUE_142 = "155 (6725/40 MHz)"
    VALUE_143 = "157 (6735/20 MHz)"
    VALUE_144 = "159 (6745/320 MHz)"
    VALUE_145 = "161 (6755/20 MHz)"
    VALUE_146 = "163 (6765/40 MHz)"
    VALUE_147 = "165 (6775/20 MHz)"
    VALUE_148 = "167 (6785/80 MHz)"
    VALUE_149 = "169 (6795/20 MHz)"
    VALUE_15 = "36 (5180/20 MHz)"
    VALUE_150 = "171 (6805/40 MHz)"
    VALUE_151 = "173 (6815/20 MHz)"
    VALUE_152 = "175 (6825/160 MHz)"
    VALUE_153 = "177 (6835/20 MHz)"
    VALUE_154 = "179 (6845/40 MHz)"
    VALUE_155 = "181 (6855/20 MHz)"
    VALUE_156 = "183 (6865/80 MHz)"
    VALUE_157 = "185 (6875/20 MHz)"
    VALUE_158 = "187 (6885/40 MHz)"
    VALUE_159 = "189 (6895/20 MHz)"
    VALUE_16 = "38 (5190/40 MHz)"
    VALUE_160 = "193 (6915/20 MHz)"
    VALUE_161 = "195 (6925/40 MHz)"
    VALUE_162 = "197 (6935/20 MHz)"
    VALUE_163 = "199 (6945/80 MHz)"
    VALUE_164 = "201 (6955/20 MHz)"
    VALUE_165 = "203 (6965/40 MHz)"
    VALUE_166 = "205 (6975/20 MHz)"
    VALUE_167 = "207 (6985/160 MHz)"
    VALUE_168 = "209 (6995/20 MHz)"
    VALUE_169 = "211 (7005/40 MHz)"
    VALUE_17 = "40 (5200/20 MHz)"
    VALUE_170 = "213 (7015/20 MHz)"
    VALUE_171 = "215 (7025/80 MHz)"
    VALUE_172 = "217 (7035/20 MHz)"
    VALUE_173 = "219 (7045/40 MHz)"
    VALUE_174 = "221 (7055/20 MHz)"
    VALUE_175 = "225 (7075/20 MHz)"
    VALUE_176 = "227 (7085/40 MHz)"
    VALUE_177 = "229 (7095/20 MHz)"
    VALUE_178 = "233 (7115/20 MHz)"
    VALUE_179 = "1 (58.32/2.16 GHz)"
    VALUE_18 = "42 (5210/80 MHz)"
    VALUE_180 = "2 (60.48/2.16 GHz)"
    VALUE_181 = "3 (62.64/2.16 GHz)"
    VALUE_182 = "4 (64.80/2.16 GHz)"
    VALUE_183 = "5 (66.96/2.16 GHz)"
    VALUE_184 = "6 (69.12/2.16 GHz)"
    VALUE_185 = "9 (59.40/4.32 GHz)"
    VALUE_186 = "10 (61.56/4.32 GHz)"
    VALUE_187 = "11 (63.72/4.32 GHz)"
    VALUE_188 = "12 (65.88/4.32 GHz)"
    VALUE_189 = "13 (68.04/4.32 GHz)"
    VALUE_19 = "44 (5220/20 MHz)"
    VALUE_190 = "17 (60.48/6.48 GHz)"
    VALUE_191 = "18 (62.64/6.48 GHz)"
    VALUE_192 = "19 (64.80/6.48 GHz)"
    VALUE_193 = "20 (66.96/6.48 GHz)"
    VALUE_194 = "25 (61.56/8.64 GHz)"
    VALUE_195 = "26 (63.72/8.64 GHz)"
    VALUE_196 = "27 (65.88/8.64 GHz)"
    VALUE_2 = "3 (2422 MHz)"
    VALUE_20 = "46 (5230/40 MHz)"
    VALUE_21 = "48 (5240/20 MHz)"
    VALUE_22 = "50 (5250/160 MHz)"
    VALUE_23 = "52 (5260/20 MHz)"
    VALUE_24 = "54 (5270/40 MHz)"
    VALUE_25 = "56 (5280/20 MHz)"
    VALUE_26 = "58 (5290/80 MHz)"
    VALUE_27 = "60 (5300/20 MHz)"
    VALUE_28 = "62 (5310/40 MHz)"
    VALUE_29 = "64 (5320/20 MHz)"
    VALUE_3 = "4 (2427 MHz)"
    VALUE_30 = "100 (5500/20 MHz)"
    VALUE_31 = "102 (5510/40 MHz)"
    VALUE_32 = "104 (5520/20 MHz)"
    VALUE_33 = "106 (5530/80 MHz)"
    VALUE_34 = "108 (5540/20 MHz)"
    VALUE_35 = "110 (5550/40 MHz)"
    VALUE_36 = "112 (5560/20 MHz)"
    VALUE_37 = "114 (5570/160 MHz)"
    VALUE_38 = "116 (5580/20 MHz)"
    VALUE_39 = "118 (5590/40 MHz)"
    VALUE_4 = "5 (2432 MHz)"
    VALUE_40 = "120 (5600/20 MHz)"
    VALUE_41 = "122 (5610/80 MHz)"
    VALUE_42 = "124 (5620/20 MHz)"
    VALUE_43 = "126 (5630/40 MHz)"
    VALUE_44 = "128 (5640/20 MHz)"
    VALUE_45 = "132 (5660/20 MHz)"
    VALUE_46 = "134 (5670/40 MHz)"
    VALUE_47 = "136 (5680/20 MHz)"
    VALUE_48 = "138 (5690/80 MHz)"
    VALUE_49 = "140 (5700/20 MHz)"
    VALUE_5 = "6 (2437 MHz)"
    VALUE_50 = "142 (5710/40 MHz)"
    VALUE_51 = "144 (5720/20 MHz)"
    VALUE_52 = "149 (5745/20 MHz)"
    VALUE_53 = "151 (5755/40 MHz)"
    VALUE_54 = "153 (5765/20 MHz)"
    VALUE_55 = "155 (5775/80 MHz)"
    VALUE_56 = "157 (5785/20 MHz)"
    VALUE_57 = "159 (5795/40 MHz)"
    VALUE_58 = "161 (5805/20 MHz)"
    VALUE_59 = "163 (5815/160 MHz)"
    VALUE_6 = "7 (2442 MHz)"
    VALUE_60 = "165 (5825/20 MHz)"
    VALUE_61 = "167 (5835/40 MHz)"
    VALUE_62 = "169 (5845/20 MHz)"
    VALUE_63 = "171 (5855/80 MHz)"
    VALUE_64 = "173 (5865/20 MHz)"
    VALUE_65 = "175 (5875/40 MHz)"
    VALUE_66 = "177 (5885/20 MHz)"
    VALUE_67 = "1 (5955/20 MHz)"
    VALUE_68 = "3 (5965/40 MHz)"
    VALUE_69 = "5 (5975/20 MHz)"
    VALUE_7 = "8 (2447 MHz)"
    VALUE_70 = "7 (5985/80 MHz)"
    VALUE_71 = "9 (5995/20 MHz)"
    VALUE_72 = "11 (6005/40 MHz)"
    VALUE_73 = "13 (6015/20 MHz)"
    VALUE_74 = "15 (6025/160 MHz)"
    VALUE_75 = "17 (6035/20 MHz)"
    VALUE_76 = "19 (6045/40 MHz)"
    VALUE_77 = "21 (6055/20 MHz)"
    VALUE_78 = "23 (6065/80 MHz)"
    VALUE_79 = "25 (6075/20 MHz)"
    VALUE_8 = "9 (2452 MHz)"
    VALUE_80 = "27 (6085/40 MHz)"
    VALUE_81 = "29 (6095/20 MHz)"
    VALUE_82 = "31 (6105/320 MHz)"
    VALUE_83 = "33 (6115/20 MHz)"
    VALUE_84 = "35 (6125/40 MHz)"
    VALUE_85 = "37 (6135/20 MHz)"
    VALUE_86 = "39 (6145/80 MHz)"
    VALUE_87 = "41 (6155/20 MHz)"
    VALUE_88 = "43 (6165/40 MHz)"
    VALUE_89 = "45 (6175/20 MHz)"
    VALUE_9 = "10 (2457 MHz)"
    VALUE_90 = "47 (6185/160 MHz)"
    VALUE_91 = "49 (6195/20 MHz)"
    VALUE_92 = "51 (6205/40 MHz)"
    VALUE_93 = "53 (6215/20 MHz)"
    VALUE_94 = "55 (6225/80 MHz)"
    VALUE_95 = "57 (6235/20 MHz)"
    VALUE_96 = "59 (6245/40 MHz)"
    VALUE_97 = "61 (6255/20 MHz)"
    VALUE_98 = "65 (6275/20 MHz)"
    VALUE_99 = "67 (6285/40 MHz)"

    def __str__(self) -> str:
        return str(self.value)
